RPM-COMMON(8)

NUME
rpm-common - operații și opțiuni comune pentru principalele executabile rpm(8)

SINOPSIS
RPMCMD [opțiuni] {-?|--help}

RPMCMD [opțiuni] --showrc

RPMCMD [opțiuni] --version

DESCRIERE
Următoarele executabile RPMCMD au în comun configurația și opțiunile și operațiile documentate în acest manual:
•   rpm(8)
•   rpmdb(8)
•   rpmkeys(8)
•   rpmbuild(1)
•   rpmsign(1)
•   rpmspec(1)

OPERAȚII
-?, --help
    Imprimă un mesaj de utilizare mai lung decât în mod normal.

--version
    Imprimă o singură linie care conține numărul versiunii de rpm utilizate.

--showrc
    Afișează informații despre configurația rpm la ieșirea standard.&

OPȚIUNI
--color <MOD>
    Utilizează culorile terminalului pentru evidențierea mesajelor de eroare și de depanare, unde MOD este unul dintre:
    •   always (întotdeauna)
    •   auto (utilizează ieșire color pe terminale)
    •   never (niciodată; valoarea implicită)

--dbpath DIRECTOR
    Utilizează baza de date din DIRECTOR în loc de ruta implicită /var/lib/rpm.

-D 'MACRO EXPR', --define='MACRO EXPR'
    Definește MACRO cu valoarea EXPR.

-E 'EXPR', --eval='EXPR'
    Afișează expansiunea rpm-macros(7) a EXPRESIEI.

--load FIȘiER
    Încarcă un fișier rpm-macrofile(5) individual.

--macros LISTĂ_FIȘIERE
    Înlocuiește lista de fișiere macro care urmează să fie încărcate cu LISTĂ_FIȘIERE. A se vedea Configurarea macro pentru detalii.

--nodigest
    Nu verifică sumele de control calculate ale pachetelor sau ale antetului atunci când le citește.

--nohdrchk
    Nu verifică antetul (antetele) bazei de date la preluare.

--nosignature
    Nu verifică semnăturile pachetului sau ale antetului la citire.

--pipe COMANDA
    Transmite ieșirea lui rpm către comanda COMANDA.

--predefine='MACRO EXPR'
    Definește MACRO cu valoarea EXPR înainte de încărcarea fișierelor macro. Aceasta este o opțiune cu scop special foarte rară, utilizați --define pentru nevoile comune de definire a macro-urilor.

--target PLATFORMA
    Utilizează configurația PLATFORMA în loc de detectarea automată. PLATFORMA este formată ca arhitectură[-so].

--quiet
    Imprimă cât mai puțin posibil - în mod normal, vor fi afișate doar mesajele de eroare.

--rcfile LISTĂ_FIȘIERE
    Înlocuiește lista implicită de fișiere de configurare care urmează să fie citite cu LISTĂ_FIȘIERE. A se vedea Configurația rpmrc pentru detalii.

--root DIRECTOR
    Utilizează arborele sistemului de fișiere înrădăcinat la DIRECTOR pentru toate operațiile. Rețineți că acest lucru înseamnă că baza de date din DIRECTOR va fi utilizată pentru verificarea dependențelor și orice scripturi (de exemplu %post dacă instalați, sau %prep dacă construiți, un pachet) vor fi rulate după un chroot(2) în DIRECTOR.

    Rețineți că rpm presupune că mediul din interiorul rădăcinii este configurat de apelant, cum ar fi orice montări necesare pentru operația din interiorul directorului rădăcină.

--undefine='MACRO'
    Elimină definiția MACRO.

-v, --verbose
    Afișează informații detaliate - în mod normal vor fi afișate mesaje de progres de rutină. Furnizați de mai multe ori opțiunea pentru a crește nivelul de detaliere, de exemplu. -vv.

OPȚIUNI DE DEPANARE
--debug
    Afișează o mulțime de informații de depanare.

--fsmdebug
    Afișează informații de depanare despre manipularea sarcinii utile.

--rpmiodebug
    Afișează informații de depanare despre In/Ieș de fișiere.

--stats
    Afișează statisticile de execuție ale funcțiilor utilizate frecvent.

OPȚIUNI FTP/HTTP
Aceste opțiuni sunt depreciate. Folosiți un software special, cum ar fi curl(1) sau wget(1) pentru preluarea datelor din internet.

Pentru unele operații, rpm poate acționa ca un client FTP și/sau HTTP, astfel încât pachetele să poată fi interogate sau instalate din internet. Fișierele pachetelor pentru operațiile de instalare, actualizare și interogare pot fi specificate ca o adresă URL de tip ftp sau http:

http://GAZDA[:PORT]/ruta/la/pachet.rpm

ftp://[UTILIZTOR:PAROLA]@GAZDA[:PORT]/ruta/la/pachet.rpm

Dacă atât utilizatorul, cât și parola sunt omise, se utilizează ftp anonim.

rpm permite ca următoarele opțiuni să fie utilizate cu adresele URL http și ftp:

--httpproxy GAZDA
    Utilizează GAZDA ca server proxy pentru toate transferurile http și ftp. Această opțiune poate fi specificată și prin configurarea macrocomenzii %_httpproxy.

--httpport PORT
    Numărul de PORT TCP care trebuie utilizat pentru conexiunea http pe serverul http proxy în loc de portul implicit. Această opțiune poate fi, de asemenea, specificată prin configurarea macrocomenzii %_httpport.

MEDIU
RPM_CONFIGDIR
    Utilizată pentru a înlocui directorul de configurare implicit rpm, de obicei /usr/lib/rpm.

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

FIȘIERE

  Baza de date

    /var/lib/rpm/

  Temporar

    /var/tmp/rpm*

CONSULTAȚI ȘI
popt(3), rpm(8) rpm-config(5), rpm-rpmrc(5), rpm-macros(7)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.